# MAKE BOTTOM FIGURE 2 OF THE ARTICLE WITH THE CSV-FILE WHERE THE ESTIMATES ARE STORED

setwd("/Users/.../replication_archive/article/Figure_2")

d <- read.table("comp_SC_NSC_x10.csv", sep=",", header=TRUE)

ma <- c(5,4,4,2)+0.1
marg <- ma + c(1,0,-1,0)
marg2 <- ma + c(2.5,0,-2.5,0)


not.same.conf <- matrix(NA, nrow(d), 3)
not.same.conf <- cbind(d[,1], not.same.conf)

not.same.conf[,2] <- d[,2]
not.same.conf[,3] <- d[,2] - qnorm(0.975)*d[,4]
not.same.conf[,4] <- d[,2] + qnorm(0.975)*d[,4]



same.conf <- matrix(NA, nrow(d), 3)
same.conf <- cbind(d[,1], same.conf)

same.conf[,2] <- d[,5]
same.conf[,3] <- d[,5] - qnorm(0.975)*d[,7]
same.conf[,4] <- d[,5] + qnorm(0.975)*d[,7]




k <- c(20, 30, 40, 50, 60, 70, 80, 90, 100, 150, 200, 300, 400, 500, 1000)
x <- seq(1, length(k))
a <- 0.15

ylim <- range(c(same.conf[,-1], not.same.conf[,-1]))

leg1 <- expression(paste("Competitors not in same conference (", W^r*y, ")", sep=""))
leg3 <- expression(paste("Competitors in same conference (", W^R*y, ")", sep=""))




#pdf(file="results2.pdf", paper="special", width=9, height=6)
par(mar=marg)
plot(c(1, max(x)), ylim, type="n", axes=FALSE, ylab="Point estimate and 95% CI", xlab="Annual income (thousands of CHF)", main="", cex.lab=1.2)

axis(2, cex.axis=1.2)
axis(1, at=x, cex.axis=1.2, labels=FALSE)
box()

abline(h=0, lty=2)

points(x-a, not.same.conf[,2], cex=1.2, pch=2, col=1)
segments(x-a, not.same.conf[,3], x-a, not.same.conf[,4], col=1)

points(x+a, same.conf[,2], cex=1.3, pch=1, col=1)
segments(x+a, same.conf[,3], x+a, same.conf[,4], col=1)


for(i in 1:length(x)){
	w <- k[i]
	mtext(paste(w), side=1, adj=0.5, padj=1.5, at=i, cex=1.2)
}

#mtext(corr, at=x, cex=1.1)

legend("topleft", c(leg1, leg3), col=c(1,1), text.col=c(1,1), pch=c(1,2), bty="n", cex=1.1)

#dev.off()
