# ---------------------------
# Test Applications for Spatial Clustering
# ---------------------------


# Set working directory. Change as needed
setwd("~/Dropbox/TLSL/Replication/")

# Load required packages
library(pacman)
p_load_gh("christophergandrud/spatialWeights")
p_load("rio", "dplyr")

# Lipsmeyer and Zhu ------------------------------------------------------------
# Load data
lz <- import("Lipsmeyer and Zhu 2011/AJPS Immigration Data.dta")

# Create EU location variable (all are in the EU)
lz$eu <- "eu"

# Find spatial weights and test for spatial clustering
lz_sw <- monadic_spatial_weights(lz, id_var = "state", time_var = "year",
                            y_var = "i_entitlement", location_var = "eu")

# Hollyer, Rosendorff, Vreeland ------------------------------------------------
# Load data
hrv <- import("Hollyer, Rosendorff and Vreeland 2011/HRVanalysisJOP.dta")

# Create all neighbors location variable
hrv$all <- "all"

# Find spatial weights and test for spatial clustering (all)
hrv_sw1 <- monadic_spatial_weights(hrv, id_var = "ccode", time_var = "year",
                                 y_var = "fraction_reported",
                                 location_var = "all")

# Find spatial weights and test for spatial clustering (region)
hrv$aclp_region <- as.factor(hrv$aclp_region)
hrv_sw2 <- monadic_spatial_weights(hrv, id_var = "ccode", time_var = "year",
                                  y_var = "fraction_reported",
                                  location_var = "aclp_region")
